namespace Infrastructure.Extensions;

public static class TokenContextSetup
{
    /// <summary>
    /// 
    /// </summary>
    /// <param name="services"></param>
    /// <returns></returns>
    public static IServiceCollection AddDefaultTokenContext(this IServiceCollection services)
    {
        ArgumentNullException.ThrowIfNull(services);
        services.TryAddSingleton<JsonWebTokenHandler>();
        services.TryAddSingleton<DefaultTokenHandler>();
        return services;
    }
}